MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Friends
PollResultEPoll Class Reference

`#include <PollGroupEPoll.hxx>`

## Public Member Functions
| PollResultEPoll ()
int | GetSize () const
unsigned | GetEvents (int i) const
void * | GetObject (int i) const
void | Reset ()
void | Clear (void *obj)

## Friends
class | PollGroupEPoll

## Detailed Description

Definition at line 31 of file PollGroupEPoll.hxx.

## Constructor & Destructor Documentation

PollResultEPoll::PollResultEPoll | ( |  | ) |
| inline

Definition at line 38 of file PollGroupEPoll.hxx.

## Member Function Documentation

void PollResultEPoll::Clear | ( | void * | obj | ) |
| inline

Definition at line 45 of file PollGroupEPoll.hxx.

unsigned PollResultEPoll::GetEvents | ( | int | i | ) | const
| inline

Definition at line 41 of file PollGroupEPoll.hxx.

void* PollResultEPoll::GetObject | ( | int | i | ) | const
| inline

Definition at line 42 of file PollGroupEPoll.hxx.

int PollResultEPoll::GetSize | ( |  | ) | const
| inline

Definition at line 40 of file PollGroupEPoll.hxx.

void PollResultEPoll::Reset | ( |  | ) |
| inline

Definition at line 43 of file PollGroupEPoll.hxx.

## Friends And Related Function Documentation

friend class PollGroupEPoll
| friend

Definition at line 33 of file PollGroupEPoll.hxx.

The documentation for this class was generated from the following file:

- event/PollGroupEPoll.hxx